summaryrefslogtreecommitdiff
path: root/src/ai/api/squirrel_export.sh
diff options
context:
space:
mode:
authorrubidium <rubidium@openttd.org>2009-08-19 14:48:51 +0000
committerrubidium <rubidium@openttd.org>2009-08-19 14:48:51 +0000
commit4423000225364b880abd7f793d772bf51bdb2d87 (patch)
treeb68d7efa53deff111400ea271f1d10537873f2cd /src/ai/api/squirrel_export.sh
parent94198e09ce5c07fb2ac821326dddfb143928578b (diff)
downloadopenttd-4423000225364b880abd7f793d772bf51bdb2d87.tar.xz
(svn r17220) -Fix (r15027): don't ignore white space changes (e.g. alignment fixes) in the exporter
Diffstat (limited to 'src/ai/api/squirrel_export.sh')
-rwxr-xr-xsrc/ai/api/squirrel_export.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/src/ai/api/squirrel_export.sh b/src/ai/api/squirrel_export.sh
index 72ec81c8b..2c40f453b 100755
--- a/src/ai/api/squirrel_export.sh
+++ b/src/ai/api/squirrel_export.sh
@@ -24,7 +24,7 @@ if [ -z "$1" ]; then
"ai_controller.hpp" | "ai_object.hpp" | "ai_types.hpp" | "ai_changelog.hpp" ) continue;
esac
${AWK} -f squirrel_export.awk ${f} > ${f}.tmp
- if ! [ -f "${f}.sq" ] || [ -n "`diff -I '$Id' -b ${f}.tmp ${f}.sq 2> /dev/null || echo boo`" ]; then
+ if ! [ -f "${f}.sq" ] || [ -n "`diff -I '$Id' ${f}.tmp ${f}.sq 2> /dev/null || echo boo`" ]; then
mv ${f}.tmp ${f}.sq
echo "Updated: ${f}.sq"
svn add ${f}.sq > /dev/null 2>&1
@@ -36,7 +36,7 @@ if [ -z "$1" ]; then
done
else
${AWK} -f squirrel_export.awk $1 > $1.tmp
- if ! [ -f "${f}.sq" ] || [ -n "`diff -I '$Id' -b $1.sq $1.tmp 2> /dev/null || echo boo`" ]; then
+ if ! [ -f "${f}.sq" ] || [ -n "`diff -I '$Id' $1.sq $1.tmp 2> /dev/null || echo boo`" ]; then
mv $1.tmp $1.sq
echo "Updated: $1.sq"
svn add $1.sq > /dev/null 2>&1
@@ -99,7 +99,7 @@ echo "
${AWK} -f ${f}.awk ${f} > ${f}.tmp
-if ! [ -f "${f}" ] || [ -n "`diff -I '$Id' -b ${f} ${f}.tmp 2> /dev/null || echo boo`" ]; then
+if ! [ -f "${f}" ] || [ -n "`diff -I '$Id' ${f} ${f}.tmp 2> /dev/null || echo boo`" ]; then
mv ${f}.tmp ${f}
echo "Updated: ${f}"
else